<?php

namespace Speedex;

/**
 * Class which returns the class map definition
 * @package Speedex
 */
class SpeedexClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'CancelBOL' => '\\Speedex\\SpeedexStruct\\SpeedexCancelBOL',
            'CancelBOLResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCancelBOLResponse',
            'CancelBOLandOrder' => '\\Speedex\\SpeedexStruct\\SpeedexCancelBOLandOrder',
            'CancelBOLandOrderResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCancelBOLandOrderResponse',
            'CreateBOL' => '\\Speedex\\SpeedexStruct\\SpeedexCreateBOL',
            'ArrayOfBOL' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfBOL',
            'BOL' => '\\Speedex\\SpeedexStruct\\SpeedexBOL',
            'CreateBOLResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCreateBOLResponse',
            'ArrayOfString' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfString',
            'CreateBOLwithOrder' => '\\Speedex\\SpeedexStruct\\SpeedexCreateBOLwithOrder',
            'ArrayOfBOLOrder' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfBOLOrder',
            'BOLOrder' => '\\Speedex\\SpeedexStruct\\SpeedexBOLOrder',
            'CreateBOLwithOrderResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCreateBOLwithOrderResponse',
            'CreateSession' => '\\Speedex\\SpeedexStruct\\SpeedexCreateSession',
            'CreateSessionResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCreateSessionResponse',
            'GetBOLPdf' => '\\Speedex\\SpeedexStruct\\SpeedexGetBOLPdf',
            'GetBOLPdfResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetBOLPdfResponse',
            'ArrayOfVoucher' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfVoucher',
            'Voucher' => '\\Speedex\\SpeedexStruct\\SpeedexVoucher',
            'GetBOLSummaryPdf' => '\\Speedex\\SpeedexStruct\\SpeedexGetBOLSummaryPdf',
            'GetBOLSummaryPdfResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetBOLSummaryPdfResponse',
            'GetBranches' => '\\Speedex\\SpeedexStruct\\SpeedexGetBranches',
            'GetBranchesResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetBranchesResponse',
            'ArrayOfBranch' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfBranch',
            'Branch' => '\\Speedex\\SpeedexStruct\\SpeedexBranch',
            'GetLastCheckpoint' => '\\Speedex\\SpeedexStruct\\SpeedexGetLastCheckpoint',
            'GetLastCheckpointResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetLastCheckpointResponse',
            'Checkpoint' => '\\Speedex\\SpeedexStruct\\SpeedexCheckpoint',
            'GetOrderLastCheckpoint' => '\\Speedex\\SpeedexStruct\\SpeedexGetOrderLastCheckpoint',
            'GetOrderLastCheckpointResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetOrderLastCheckpointResponse',
            'OrderCheckPoint' => '\\Speedex\\SpeedexStruct\\SpeedexOrderCheckPoint',
            'GetTraceByClientKey' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByClientKey',
            'GetTraceByClientKeyResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByClientKeyResponse',
            'ArrayOfCheckpoint' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfCheckpoint',
            'GetTraceByDate' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByDate',
            'GetTraceByDateResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByDateResponse',
            'GetTraceByVoucher' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByVoucher',
            'GetTraceByVoucherResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetTraceByVoucherResponse',
            'DestroySession' => '\\Speedex\\SpeedexStruct\\SpeedexDestroySession',
            'DestroySessionResponse' => '\\Speedex\\SpeedexStruct\\SpeedexDestroySessionResponse',
            'GetCODByVoucher' => '\\Speedex\\SpeedexStruct\\SpeedexGetCODByVoucher',
            'GetCODByVoucherResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetCODByVoucherResponse',
            'ArrayOfVoucherCod' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfVoucherCod',
            'VoucherCod' => '\\Speedex\\SpeedexStruct\\SpeedexVoucherCod',
            'GetVoucherFromCustomerKey' => '\\Speedex\\SpeedexStruct\\SpeedexGetVoucherFromCustomerKey',
            'GetVoucherFromCustomerKeyResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetVoucherFromCustomerKeyResponse',
            'GetVoucherPOD' => '\\Speedex\\SpeedexStruct\\SpeedexGetVoucherPOD',
            'GetVoucherPODResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetVoucherPODResponse',
            'ArrayOfVoucherPNG' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfVoucherPNG',
            'VoucherPNG' => '\\Speedex\\SpeedexStruct\\SpeedexVoucherPNG',
            'CancelPickup' => '\\Speedex\\SpeedexStruct\\SpeedexCancelPickup',
            'CancelPickupResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCancelPickupResponse',
            'CancelPickupResult' => '\\Speedex\\SpeedexStruct\\SpeedexCancelPickupResult',
            'CreatePickup' => '\\Speedex\\SpeedexStruct\\SpeedexCreatePickup',
            'CreatePickupResponse' => '\\Speedex\\SpeedexStruct\\SpeedexCreatePickupResponse',
            'CreatePickupResult' => '\\Speedex\\SpeedexStruct\\SpeedexCreatePickupResult',
            'GetConsignmentsByDate' => '\\Speedex\\SpeedexStruct\\SpeedexGetConsignmentsByDate',
            'GetConsignmentsByDateResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetConsignmentsByDateResponse',
            'GetConsignmentsByDateResult' => '\\Speedex\\SpeedexStruct\\SpeedexGetConsignmentsByDateResult',
            'ArrayOfConsignment' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfConsignment',
            'Consignment' => '\\Speedex\\SpeedexStruct\\SpeedexConsignment',
            'GetDepositedConsignmentsByDate' => '\\Speedex\\SpeedexStruct\\SpeedexGetDepositedConsignmentsByDate',
            'GetDepositedConsignmentsByDateResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetDepositedConsignmentsByDateResponse',
            'GetDepositedConsignmentsByDateResult' => '\\Speedex\\SpeedexStruct\\SpeedexGetDepositedConsignmentsByDateResult',
            'ArrayOfConsignmentCollectOnDelivery' => '\\Speedex\\SpeedexArray\\SpeedexArrayOfConsignmentCollectOnDelivery',
            'ConsignmentCollectOnDelivery' => '\\Speedex\\SpeedexStruct\\SpeedexConsignmentCollectOnDelivery',
            'GetPickup' => '\\Speedex\\SpeedexStruct\\SpeedexGetPickup',
            'GetPickupResponse' => '\\Speedex\\SpeedexStruct\\SpeedexGetPickupResponse',
            'GetPickupResult' => '\\Speedex\\SpeedexStruct\\SpeedexGetPickupResult',
            'Pickup' => '\\Speedex\\SpeedexStruct\\SpeedexPickup',
            'ReschedulePickup' => '\\Speedex\\SpeedexStruct\\SpeedexReschedulePickup',
            'ReschedulePickupResponse' => '\\Speedex\\SpeedexStruct\\SpeedexReschedulePickupResponse',
            'ReschedulePickupResult' => '\\Speedex\\SpeedexStruct\\SpeedexReschedulePickupResult',
        );
    }
}
