<?php

namespace Speedex\SpeedexStruct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateBOLResponse SpeedexStruct
 * @package Speedex
 * @subpackage Structs
 */
class SpeedexCreateBOLResponse extends AbstractStructBase
{
    /**
     * The returnCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $returnCode;
    /**
     * The outListPod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Speedex\SpeedexArray\SpeedexArrayOfBOL
     */
    public $outListPod;
    /**
     * The statusList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Speedex\SpeedexArray\SpeedexArrayOfString
     */
    public $statusList;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CreateBOLResponse
     * @uses SpeedexCreateBOLResponse::setReturnCode()
     * @uses SpeedexCreateBOLResponse::setOutListPod()
     * @uses SpeedexCreateBOLResponse::setStatusList()
     * @uses SpeedexCreateBOLResponse::setReturnMessage()
     * @param int $returnCode
     * @param \Speedex\SpeedexArray\SpeedexArrayOfBOL $outListPod
     * @param \Speedex\SpeedexArray\SpeedexArrayOfString $statusList
     * @param string $returnMessage
     */
    public function __construct($returnCode = null, \Speedex\SpeedexArray\SpeedexArrayOfBOL $outListPod = null, \Speedex\SpeedexArray\SpeedexArrayOfString $statusList = null, $returnMessage = null)
    {
        $this
            ->setReturnCode($returnCode)
            ->setOutListPod($outListPod)
            ->setStatusList($statusList)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get returnCode value
     * @return int
     */
    public function getReturnCode()
    {
        return $this->returnCode;
    }
    /**
     * Set returnCode value
     * @param int $returnCode
     * @return \Speedex\SpeedexStruct\SpeedexCreateBOLResponse
     */
    public function setReturnCode($returnCode = null)
    {
        // validation for constraint: int
        if (!is_null($returnCode) && !(is_int($returnCode) || ctype_digit($returnCode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($returnCode, true), gettype($returnCode)), __LINE__);
        }
        $this->returnCode = $returnCode;
        return $this;
    }
    /**
     * Get outListPod value
     * @return \Speedex\SpeedexArray\SpeedexArrayOfBOL|null
     */
    public function getOutListPod()
    {
        return $this->outListPod;
    }
    /**
     * Set outListPod value
     * @param \Speedex\SpeedexArray\SpeedexArrayOfBOL $outListPod
     * @return \Speedex\SpeedexStruct\SpeedexCreateBOLResponse
     */
    public function setOutListPod(\Speedex\SpeedexArray\SpeedexArrayOfBOL $outListPod = null)
    {
        $this->outListPod = $outListPod;
        return $this;
    }
    /**
     * Get statusList value
     * @return \Speedex\SpeedexArray\SpeedexArrayOfString|null
     */
    public function getStatusList()
    {
        return $this->statusList;
    }
    /**
     * Set statusList value
     * @param \Speedex\SpeedexArray\SpeedexArrayOfString $statusList
     * @return \Speedex\SpeedexStruct\SpeedexCreateBOLResponse
     */
    public function setStatusList(\Speedex\SpeedexArray\SpeedexArrayOfString $statusList = null)
    {
        $this->statusList = $statusList;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \Speedex\SpeedexStruct\SpeedexCreateBOLResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
