<?php

namespace Speedex\SpeedexStruct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetVoucherPODResponse SpeedexStruct
 * @package Speedex
 * @subpackage Structs
 */
class SpeedexGetVoucherPODResponse extends AbstractStructBase
{
    /**
     * The returnCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $returnCode;
    /**
     * The GetVoucherPODResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG
     */
    public $GetVoucherPODResult;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for GetVoucherPODResponse
     * @uses SpeedexGetVoucherPODResponse::setReturnCode()
     * @uses SpeedexGetVoucherPODResponse::setGetVoucherPODResult()
     * @uses SpeedexGetVoucherPODResponse::setReturnMessage()
     * @param int $returnCode
     * @param \Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG $getVoucherPODResult
     * @param string $returnMessage
     */
    public function __construct($returnCode = null, \Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG $getVoucherPODResult = null, $returnMessage = null)
    {
        $this
            ->setReturnCode($returnCode)
            ->setGetVoucherPODResult($getVoucherPODResult)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get returnCode value
     * @return int
     */
    public function getReturnCode()
    {
        return $this->returnCode;
    }
    /**
     * Set returnCode value
     * @param int $returnCode
     * @return \Speedex\SpeedexStruct\SpeedexGetVoucherPODResponse
     */
    public function setReturnCode($returnCode = null)
    {
        // validation for constraint: int
        if (!is_null($returnCode) && !(is_int($returnCode) || ctype_digit($returnCode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($returnCode, true), gettype($returnCode)), __LINE__);
        }
        $this->returnCode = $returnCode;
        return $this;
    }
    /**
     * Get GetVoucherPODResult value
     * @return \Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG|null
     */
    public function getGetVoucherPODResult()
    {
        return $this->GetVoucherPODResult;
    }
    /**
     * Set GetVoucherPODResult value
     * @param \Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG $getVoucherPODResult
     * @return \Speedex\SpeedexStruct\SpeedexGetVoucherPODResponse
     */
    public function setGetVoucherPODResult(\Speedex\SpeedexArray\SpeedexArrayOfVoucherPNG $getVoucherPODResult = null)
    {
        $this->GetVoucherPODResult = $getVoucherPODResult;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \Speedex\SpeedexStruct\SpeedexGetVoucherPODResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
